com.genesyslab.wfm7.API.service.config750

## Class CfgValidationMsg

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgValidationMsg

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgValidationMsg
      extends java.lang.Object
      implements java.io.Serializable

  Contains Configuration Object Validation Message
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `code` Message Code
    `private java.lang.String` | `message` Message Text
    `private int` | `number` Message Number

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgValidationMsg()`
    `CfgValidationMsg(int number, java.lang.String code, java.lang.String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCode()` Gets the code value for this CfgValidationMsg.
    `java.lang.String` | `getMessage()` Gets the message value for this CfgValidationMsg.
    `int` | `getNumber()` Gets the number value for this CfgValidationMsg.
    `int` | `hashCode()`
    `void` | `setCode(java.lang.String code)` Sets the code value for this CfgValidationMsg.
    `void` | `setMessage(java.lang.String message)` Sets the message value for this CfgValidationMsg.
    `void` | `setNumber(int number)` Sets the number value for this CfgValidationMsg.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### number

          private int number

      Message Number

    - #### code

          private java.lang.String code

      Message Code

    - #### message

          private java.lang.String message

      Message Text

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgValidationMsg

          public CfgValidationMsg()

    - #### CfgValidationMsg

          public CfgValidationMsg(int number,
                          java.lang.String code,
                          java.lang.String message)

  - ### Method Detail

    - #### getNumber

          public int getNumber()

      Gets the number value for this CfgValidationMsg.
      Returns:
        number

    - #### setNumber

          public void setNumber(int number)

      Sets the number value for this CfgValidationMsg.
      Parameters:
        `number` -

    - #### getCode

          public java.lang.String getCode()

      Gets the code value for this CfgValidationMsg.
      Returns:
        code

    - #### setCode

          public void setCode(java.lang.String code)

      Sets the code value for this CfgValidationMsg.
      Parameters:
        `code` -

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message value for this CfgValidationMsg.
      Returns:
        message

    - #### setMessage

          public void setMessage(java.lang.String message)

      Sets the message value for this CfgValidationMsg.
      Parameters:
        `message` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.